## IdeBuilder IdeBuilder |

## Functions

IdeConfiguration * | ide_builder_get_configuration ()
void | ide_builder_build_async ()
IdeBuildResult * | ide_builder_build_finish ()

## Properties

IdeConfiguration * | configuration | Read / Write / Construct Only

## Types and Values

#define | IDE_TYPE_BUILDER
enum | IdeBuilderBuildFlags
struct | IdeBuilderClass
| IdeBuilder

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeBuilder

## Description

## Functions

### ide_builder_get_configuration ()

    IdeConfiguration *
    ide_builder_get_configuration (IdeBuilder *self);

Gets the configuration to use for the builder.

#### Parameters

self | An IdeBuilder. |

#### Returns

An IdeConfiguration.

[transfer none]

### ide_builder_build_async ()

    void
    ide_builder_build_async (IdeBuilder *builder,
                             IdeBuilderBuildFlags flags,
                             IdeBuildResult **result,
                             GCancellable *cancellable,
                             GAsyncReadyCallback callback,
                             gpointer user_data);

#### Parameters

result | A location for an IdeBuildResult. | [out][transfer none]

### ide_builder_build_finish ()

    IdeBuildResult *
    ide_builder_build_finish (IdeBuilder *builder,
                              GAsyncResult *result,
                              GError **error);

Completes an asynchronous request to build the project.

#### Returns

An IdeBuildResult or `NULL` upon failure.

[transfer full]

## Types and Values

### IDE_TYPE_BUILDER

    #define IDE_TYPE_BUILDER (ide_builder_get_type())

### enum IdeBuilderBuildFlags

#### Members

IDE_BUILDER_BUILD_FLAGS_NONE |  |
IDE_BUILDER_BUILD_FLAGS_FORCE_BOOTSTRAP |  |
IDE_BUILDER_BUILD_FLAGS_FORCE_CLEAN |  |
IDE_BUILDER_BUILD_FLAGS_NO_BUILD |  |
IDE_BUILDER_BUILD_FLAGS_NO_CONFIGURE |  |

### struct IdeBuilderClass

    struct IdeBuilderClass {
      IdeObjectClass parent;

      void            (*build_async)  (IdeBuilder           *builder,
                                       IdeBuilderBuildFlags  flags,
                                       IdeBuildResult      **result,
                                       GCancellable         *cancellable,
                                       GAsyncReadyCallback   callback,
                                       gpointer              user_data);
      IdeBuildResult *(*build_finish) (IdeBuilder           *builder,
                                       GAsyncResult         *result,
                                       GError              **error);
    };

### IdeBuilder

    typedef struct _IdeBuilder IdeBuilder;

## Property Details

### The `“configuration”` property

      “configuration”            IdeConfiguration *

Configuration.

Flags: Read / Write / Construct Only